For the complete documentation index, see llms.txt. This page is also available as Markdown.

Tracr XPS API V1

Get Traceability Ancestry

post

Get traceability ancestry for multiple diamonds from many peers.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

Represents a request to the /diamonds/traceability-ancestry endpoint.

Responses
200

Successful Response

application/json

Represents a response from the /diamonds/traceability-ancestry endpoint.

post/v1/bulk/traceability-ancestry

No content

Get Diamonds

get

Search for diamonds matching the given query.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
pageinteger · min: 1Optional

Page number

Default: 1
sizeinteger · min: 1 · max: 1000OptionalDefault: 100
searchstringRequired
Responses
200

Successful Response

application/json
nextstring · nullableOptional

The URL for the next page.

pageinteger · min: 1 · nullableRequired

The number of the current page.

pagesinteger · nullableOptional

The total number of pages.

previousstring · nullableOptional

The URL of the previous page.

totalintegerRequired

The total number of results across all pages.

get/v1/diamonds/

Get Diamond

get

Look up a single diamond in Tracr and return its data if it exists.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
diamond_idstringRequiredExample: e1mv3nn4n10kd1lw6mde6sumsPattern: ^[a-z\d]{20,98}$
Responses
200

Successful Response

application/json

Detailed data of a diamond.

assurance_levelstring · enumRequired

Represents the assurance level for a diamond.

Possible values:
current_stagestring · enumRequiredPossible values:
diamond_idstringRequiredExample: e1mv3nn4n10kd1lw6mde6sumsPattern: ^[a-z\d]{20,98}$
diamond_parent_idstring · nullableOptionalExample: e1mv3nn4n10kd1lw6mde6sumsPattern: ^[a-z\d]{20,98}$
lifecycle_statestring · enumRequiredPossible values:
polished_objective_verificationbooleanOptionalDefault: false
producer_uuidstring · uuidRequired
rough_objective_verificationbooleanRequired
unlock_statusstring · enumRequired

Represents the unlock status of a diamond, as returned by the API.

Possible values:
get/v1/diamonds/{diamond_id}

No content

Get Diamond File

get

Fetch a single file's pre-signed URL and return a Response.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
diamond_idstringRequiredExample: e1mv3nn4n10kd1lw6mde6sumsPattern: ^[a-z\d]{20,98}$
file_hashstringRequired
Responses
302

Successful Response

application/json
anyOptional
get/v1/diamonds/{diamond_id}/files/{file_hash}

No content

Get Diamond History

get

Look up a single diamond in Tracr and return its history.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
diamond_idstringRequiredExample: e1mv3nn4n10kd1lw6mde6sumsPattern: ^[a-z\d]{20,98}$
Responses
200

Successful Response

application/json

A version of FullReadView containing only traceability data.

get/v1/diamonds/{diamond_id}/history

No content

Last updated